Bug 277470 - Empty "Editor" menu
Summary: Empty "Editor" menu
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Fedora RPMs Linux
: VHI normal (vote)
Target Milestone: 4.2.3
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 15:03 UTC by leon pollak
Modified: 2011-07-11 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leon pollak 2011-07-10 15:03:57 UTC
Version:           git master (using KDE 4.6.3) 
OS:                Linux

The "Editor" menu item (between 'Tools' and 'Code') should have 3 elements in it, but is empty in the master version.

Reproducible: Always

Steps to Reproduce:
Open "Editor" menu.

Actual Results:  
Nothing

Expected Results:  
3 submenu items
Comment 1 Milian Wolff 2011-07-11 12:32:10 UTC
Git commit 0fc1ed811d8f131f5c5bd9d531ef2e91156defc9 by Milian Wolff.
Committed on 11/07/2011 at 14:30.
Pushed by mwolff into branch 'master'.

fix regression: properly search for restructured katepart UI

while we are at it, look for share/$appname/katepartui.rc and dont
hardcode kdevelop in kdevplatform code

this should make it possible for Gluon, Quanta, etc to have custom
restructured katepart UIs

BUG: 277267
BUG: 277470

M  +4    -5    shell/textdocument.cpp     

http://commits.kde.org/kdevplatform/0fc1ed811d8f131f5c5bd9d531ef2e91156defc9